<ul class="flex justify-center space-x-5">
    <ng-container *ngFor="let route of routes">
        <li routerLink="{{route.path}}" *ngIf="route.check == undefined  || route.check()" class="hover:text-blue hover:shadow-inner hover:bg-surface2 p-3 cursor-pointer">{{route.title}}</li>
    </ng-container>
</ul>
